package com.goodpetting;

/**
 * An item in the shopping cart.
 * 
 * @author Evan Johnson & William Hosbein
 * @version 5-27-04
 */
public class item
{
	// instance variables - name, price, and number of this item in the cart
	private int quantity;
	private double price;
	private String name;

	/**
	 * Constructor for class item
	 */
	public item(String n, int q, double p)
	{
		name = n;
		quantity = q;
		price = p;
	}

	//****************simple getter methods*************************
	public String getName()
	{
		return name;
	}

	public double getPrice()
	{
		return price;
	}

	public int getQuantity()
	{
		return quantity;
	}
	
	//this method changes the quantity of an item
	public void updateQuantity(int newQ)
	{
		quantity = newQ;
	}

}