<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ page contentType="text/html; charset=iso-8859-1" language="java" import="java.sql.*" errorPage="" session="true" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>GoodPetting.com Admin Page</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link href="../store1style.css" media="screen" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="wrapper">
<%
/*
This is the main admin page - the sub-pages load into it, as opposed to the the subpages loading
headers and footers, like in the rest of the site. Page chosen by passing "page" parameter to this page.

*/
if (session.getAttribute("admin") != null)		//check to see if admin session param is null - security bit
{
if (session.getAttribute("admin").equals("yes"))		//if it's not, make sure admin == yes
{														//else, at bottom, display error.
%>
<jsp:useBean id="adminConn" class="com.goodpetting.adminConnect" scope="session"/>
<!--start of header-->
<div id="header">
	<table border="0" width="100%">
		<tr>
			<td rowspan="2">
				<img src="../images/logo1.jpg" height="122" width="491" alt="GoodPetting.com" border="0" />
			</td>
			<td valign="bottom" align="right">&nbsp;
				
			</td>
		</tr>
		<tr>
			<!-- admin option menu -->
			<td valign="bottom" align="right">
			<a href="admin.jsp">**Admin**</a> - 
			<a href="../handlers/logoutHandler.jsp">Logout</a><br />
			<a href="admin.jsp?page=orders">Orders</a> - 
			<a href="admin.jsp?page=inventory">Inventory</a> - 
			<a href="admin.jsp?page=users">Users</a>
			</td>
		</tr>
	</table>		
</div>
<!--end of header-->
<div id="admincontent">
<%
//which page to include?  - gets a bit complex, but the basic idea is simple - paramters clutter it up
String pageChoice = "main";
if(request.getParameter("page") != null)
	pageChoice = request.getParameter("page");

//----these are for any pages that break up into different pages
String orderBy = request.getParameter("orderBy");
if( orderBy == null && pageChoice.equals("orders"))
	orderBy = "datePlaced";
if( orderBy == null && pageChoice.equals("users"))
	orderBy = "Newest";
String show = request.getParameter("show");
if( show == null)
	show = "1";
//-------
//----these are for the inventory pages
String cat = request.getParameter("cat");
if( cat == null)
	cat = "all";
String prodName = request.getParameter("prodName");
if( prodName == null)
	prodName = "1";
//-------
//----these are for the order pages
String ordernum = request.getParameter("ordernum");
if( ordernum == null)
	ordernum = "null";
String ordersShow = request.getParameter("ordersShow");
if( ordersShow == null)
	ordersShow = "All";
//-------
//----these are for the user pages
String userid = request.getParameter("userid");
if( userid == null)
	userid = "1";
//-------
if( pageChoice != null)  {  %>
<!--start of page content selector - the includes -->
<%	if (pageChoice.equals("orders")) {  %>
	<jsp:include page="adminOrders.jsp" flush="true">
		<jsp:param name="orderBy" value="<%= orderBy %>" />
		<jsp:param name="ordersShow" value="<%= ordersShow %>" />
	</jsp:include>
	
<% 	} else if (pageChoice.equals("editOrders")) {  %>
	<jsp:include page="adminEditOrder.jsp" flush="true">
		<jsp:param name="ordernum" value="<%= ordernum %>" />
		<jsp:param name="orderBy" value="<%= orderBy %>" />
		<jsp:param name="ordersShow" value="<%= ordersShow %>" />
	</jsp:include>
	
<% 	} else if (pageChoice.equals("inventory"))  { %>
	<jsp:include page="adminInventory.jsp" flush="true">
		<jsp:param name="cat" value="<%= cat %>" />
		<jsp:param name="show" value="<%= show %>" />
	</jsp:include>
	
<% 	} else if (pageChoice.equals("editInventory"))  { %>
	<jsp:include page="adminEditInventory.jsp" flush="true">
		<jsp:param name="name" value="<%= prodName %>" />
	</jsp:include>
	
<% 	} else if (pageChoice.equals("addInventory"))  { %>
	<jsp:include page="adminAddInventory.jsp" flush="true" />

<% 	} else if (pageChoice.equals("users"))  { %>
	<jsp:include page="adminUsers.jsp" flush="true">
		<jsp:param name="show" value="<%= show %>" />
		<jsp:param name="orderBy" value="<%= orderBy %>" />
	</jsp:include>
	
<% 	} else if (pageChoice.equals("editUser"))  { %>
	<jsp:include page="adminEditUser.jsp" flush="true">
		<jsp:param name="userid" value="<%= userid %>" />
	</jsp:include>
	
<% 	} else if (pageChoice.equals("addUser"))  { %>
	<jsp:include page="adminAddUser.jsp" flush="true" />
	
<% 	} else if (pageChoice.equals("main"))  { %>
	<jsp:include page="adminMain.jsp" flush="true" />	

<% 	}  %>

<% } else { %>
	<jsp:include page="../error.jsp" flush="true" />
<!--end of page content selector -->
<% } %>
</div>
<!--start of footer -->
<div id="footer">
	Copyright 2005 Evan Johnson and William Hosbein
</div>
<!--end of footer -->
<%
}  //end of admin if - the error messages if a non-admin tries to view these pages (or after session expire)
else
{
	out.println("You must be signed in as an admin to view this page.");
}
}else {
	out.println("You must be signed in as an admin to view this page.");
}  //end of "not null" if case
%>

</div> <!-- wrapper end -->
</body>
</html>