<jsp:include page="header.jsp" flush="true" />
<%@ page import="java.sql.*" %>
<%@ page import="java.lang.Double" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="com.goodpetting.*" %>
<div id="content">
<jsp:useBean id="theCart" class="com.goodpetting.shoppingCart" scope="session" />
<jsp:useBean id="conn" class="com.goodpetting.connectBean" scope="session" />
<%
	String totalStr = request.getParameter("total");
	String itemsStr = "";
	int numItems = 0;
	Double total = Double.valueOf(totalStr);
	
	//get the whole cart in vector form to print it out so the user can see if it's correct
	Vector contents = new Vector();
	contents = theCart.getContents();
	Iterator iter = contents.iterator();
	if (!iter.hasNext())
	{
		out.println("No Items in Cart.");
	} else {
%>
<h2>Preview Order</h2>
<div class="box">
<table class="carttable" width="400" align="center">
	<tr>
		<th>
			Item
		</th>
		<th>
			Price
		</th>
		<th align="center" width="100">
			Quantity
		</th>
		<th align="right">
			Subtotal
		</th>
	</tr>
<%
		while (iter.hasNext())
		{
			numItems++;
			item anItem = (item) iter.next();
			//------very important - list of all of the items bought, and their quantities, and price
			itemsStr = itemsStr + anItem.getName() + "|" + anItem.getQuantity() + "|"+ anItem.getPrice() + "|";
%>
	<tr>
		<td valign="top">
			<%= anItem.getName() %>
		</td>
		<td valign="top">
			$<%= anItem.getPrice() %>
		</td>
		<td align="center">
			<%= anItem.getQuantity() %>
		</td>
		<td valign="top" align="right">
			$<%= anItem.getQuantity() * anItem.getPrice() %>
		</td>
	</tr>
	
<%		}  //end of while %>
<!-- start the totals  -->
	<tr>
		<td style="border: none;" align="right"  colspan="3">
			Total:
		</td>
		<td style="border: none;" align="right">
			$<%= total %>
		</td>
	</tr>
<!-- end the totals  -->
</table>
<%	} //end of if %>
</div>


<div class="box">

<% if (theCart.getUser().equals("default user"))		//see if there's a user logged in
	{
		out.print(" <p>You are not signed in.</p> ");	//there's not, prompt action
		out.print(" <p><a href=\"login.jsp\">Login</a> if you have an account.</p> ");
		out.print(" <p>Otherwise, <a href=\"register.jsp\">create one</a>.</p> ");
	} else {											//user IS signed in, review pseronal information below
		ResultSet userInfo = null;	//get the information from the users table
		userInfo = conn.makeQuery("select * from users where username = \""+ theCart.getUser() +"\";");
		userInfo.next();
		
%>
	<table class="usertable" align="center">
		<tr>
			<td colspan="2">
				<p>Welcome <%= userInfo.getString( "firstName" ) %>. Make sure your billing and shipping information is correct.</p>
				<p>If the information is not correct, <a href="account.jsp">update it</a>.</p>
				<p>If this is not you, <a href="handlers/logoutHandler.jsp">Logout</a>.</p>
			</td>
		</tr>
		<tr>
			<th>First Name</th>
			<th>Last Name</th>
		</tr>
		<tr>
			<td>
				<%= userInfo.getString( "firstName" ) %>
			</td>
			<td>
				<%= userInfo.getString( "lastName" ) %>
			</td>
		</tr>
		<tr>
			<th>Address (Street or PO Box)</th>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
				<%= userInfo.getString( "addr1" ) %>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
				<%= userInfo.getString( "addr2" ) %>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<th>City</th>
			<th>State and Zip Code</th>
		</tr>
		<tr>
			<td>
				<%= userInfo.getString( "city" ) %>
			</td>
			<td>
				<%= userInfo.getString( "state" ) %>, <%= userInfo.getString( "zip" ) %>
			</td>
		</tr>
		<tr>
			<th>Home Phone</th>
			<th>Work Phone</th>
		</tr>
		<tr>
			<td>
				<%= userInfo.getString( "phone1" ) %>
			</td>
			<td>
				<%= userInfo.getString( "phone2" ) %>
			</td>
		</tr>
		<tr>
			<th>Email</th>
			<th>&nbsp;</th>
		</tr>
		<tr>
			<td>
				<%= userInfo.getString( "email" ) %>
			</td>
			<td>&nbsp;
				
			</td>
		</tr>
		<tr>
			<th colspan="2">Billing Information</th>
		</tr>
		<tr>
			<td colspan="2">
				<b>Card:</b> <%= userInfo.getString( "creditcard" ) %>
				<b>Card Number:</b> <%= userInfo.getString( "cardnum" ) %>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<p>If the above information is correct, hit "Place Order" to start processing.</p>
				<p>If the information is not correct, <a href="account.jsp">update it</a>.</p>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<!-- if user likes the order, and personal information is correct, checkout! -->
				<form action="handlers/checkoutHandler2.jsp" method="post">
					<input type="hidden" name="total" value="<%= total %>" />
					<input type="hidden" name="itemsStr" value="<%= itemsStr %>" />
					<input type="hidden" name="numItems" value="<%= numItems %>" />
					<input type="hidden" name="orders" value="<%= userInfo.getString( "orders" ) %>" />
					<input type="submit" value="Place Order" />
				</form>
			</td>
		</tr>
	</table>
	
<%
	} //end of the logged in? else statement
%>
</div>

</div>
<jsp:include page="footer.jsp" flush="true" />