// JavaScript Document

//WEB CODE:

//FIELD AUTO-SWITCH

var downStrokeField;
function autojump(fieldName,nextFieldName,fakeMaxLength)
{
var myForm=document.forms[document.forms.length - 1];
var myField=myForm.elements[fieldName];
myField.nextField=myForm.elements[nextFieldName];

if (myField.maxLength == null)
   myField.maxLength=fakeMaxLength;

myField.onkeydown=autojump_keyDown;
myField.onkeyup=autojump_keyUp;
}

function autojump_keyDown()
{
this.beforeLength=this.value.length;
downStrokeField=this;
}

function autojump_keyUp()
{
if (
   (this == downStrokeField) && 
   (this.value.length > this.beforeLength) && 
   (this.value.length >= this.maxLength)
   )
   this.nextField.focus();
downStrokeField=null;
}

//REFRESH PAGE
function refresh()
{
    window.location.reload( false );
}

//END OF WEB-CODE

//Form validation function
function validate()
{
  var form = document.register;
  
  var username = form.username.value;
  var pass1 = form.password1.value;
  var pass2 = form.password2.value;
  var fName = form.fName.value;
  var lName = form.lName.value;
  var addy = form.address1.value;
  var city = form.city.value;
  var state = form.state.value;
  var zip = form.zip.value;
  var hPhone = form.hPhone1.value + form.hPhone2.value + form.hPhone3.value;
  var wPhone = form.wPhone1.value + form.wPhone2.value + form.wPhone3.value;
  var email1 = form.email1.value;
  var email2 = form.email2.value;
  var cCard = form.cCard.value;
  var cCardNum = form.cCardNum.value;
  
  var submitOK = "True";
  
  //Username character amount check
  if( !/^.{4,}$/.test(username) )
    {
      alert("Username Error: \n\nUsername must be longer than 4 characters");      
      form.username.focus();
      submitOK = "False";
    }
  //Username character goodness check (allow only letters or numbers)
  else if ( !/^\w+$/.test(username) ) 
    {
      alert("Username Error: \n\nPlease only use letters or _ [underscore]");      
      form.username.focus();
      submitOK = "False";
    }  
  //Password character amount check
  else if ( ( !/^.{4,}$/.test(pass1) ) || ( !/^.{4,}$/.test(pass2) ) )//(pass1 == ""  && pass2 == "")
    {
      alert("Password Error: \n\nPassword must be longer than 4 characters");
      passReset();
      form.password1.focus();
      submitOK = "False";
    }
  //Password matching check
  else if (pass1 != pass2)
    {
      alert("Password Error: \n\nPasswords do not match");
      passReset();
      form.password1.focus();
      submitOK = "False";
    }
  //Password character goodness check (allow only letters, numbers, or certain characters [@#$%^&])
  //  Although it doesn't matter, make sure password is longer than 4 characters
  //  Only checks pass1 because at this point pass1 = pass2
  else if( !/^[\w@#$%^&]{4,}$/.test(pass1) )
    {
      alert("Password Error: \n\nPasswords can only contain: \n\tLetters, Numbers, or @, #, $, %, ^, &");
      passReset();
      form.password1.focus();
      submitOK = "False";
    }
  //First name check
  else if (fName == "")
    {
      alert("Please enter your first name");
      form.fName.focus();
      submitOK="False";
    }
  //Last name check
  else if (lName == "")
    {
      alert("Please enter your last name");
      form.lName.focus();
      submitOK="False";
    }
  //Address check
  //  Only checks to make sure the first line is filled in
  else if (addy == "")
    {
      alert("Please enter your address");
      form.address1.focus();
      submitOK="False";
    }
  //City check
  else if (city == "")
    {
      alert("Please enter your city");
      form.city.focus();
      submitOK="False";
    }
  //State check
  else if (state == "")
    {
      alert("Please enter your state");
      form.state.focus();
      submitOK="False";
    }
  //Zip check
  else if (zip == "")
    {
      alert("Please enter your zip");
      form.zip.focus();
      submitOK="False";
    }
  //Check to make sure zip is all numbers and is correct length
  else if ( !/^[0-9]{5,}$/.test(zip) )
    {
      alert("Zip Code Error: \n\nZip codes must be 5 digit numbers");
      form.zip.focus();
      submitOK = "False";
    }
  //Home phone check
  else if ( hPhone == "")
    {
      alert("Please Enter a Home Phone Number");
      form.hPhone1.focus();
      submitOK = "False";
    }
  //Check to make sure input home phone number is all numbers and is the correct length
  else if ( !/^[0-9]{10,}$/.test(hPhone) )
    {
      alert("Phone Number Error: \n\nPhone numbers must be 10 digit numbers");
      form.hPhone1.focus();
      submitOK = "False";
    }
  //Work phone check
  else if ( wPhone == "")
    {
      alert("Please Enter a Work Phone Number");
      form.wPhone1.focus();
      submitOK = "False";
    }
  //Check to make sure input work phone number is all numbers and is the correct length
  else if ( !/^[0-9]{10,}$/.test(wPhone) )
    {
      alert("Phone Number Error: \n\nPlease enter a work phone number");
      form.wPhone1.focus();
      submitOK = "False";
    }
  //Email field(s) blank check
  else if (email1 == "" && email2 == "")
    {
      alert("Password Error: \n\nPlease enter an e-mail address")
      form.email1.focus()
      submitOK = "False"
    }
  //Check to see if e-mail addresses match
  else if (email1 != email2)
    {
      alert("E-mail Address Error: \n\nE-mail addresses do not match");
      form.email1.focus();
      submitOK = "False";
    }
  //E-mail address character goodness check (any amount of letters & . [periods] 
  //  followed by a @ then followed by any amount of letters & . has to be followed 
  //  by a .[three letter extension])
  //  Only checks email1 because at this point email1 = email2
  else if ( !/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(email1) )
    {
      alert("E-mail Address Error: \n\nNot a valid e-mail address"); //ummm, easter egg?: \n\n And trust us, we know what a valid e-mail address is, we have a really long regular expression!")
      form.email1.focus()
      submitOK = "False";
    }
  //Check to make sure a major credit card is selected
  //  The input is from a select statement with the default value equaling -1,
  //  so just a simple check to make sure the value does not equal -1
  else if ( cCard == -1 )
    {
      alert("Please Select a Credit Card");
      form.cCard.focus();
      submitOK = "False";
    }
  //Credit card number check
  else if ( cCardNum == "")
    {
      alert("Please Enter a Credit Card Number");
      form.cCardNum.focus();
      submitOK = "False";
    }
  //Check to make sure input credit card number is all numbers and is the correct length
  else if ( !/^[0-9]{16,}$/.test(cCardNum) )
    {
      alert("Credit Card Number Error: \n\nCredit cards must be 16 digit numbers");
      form.cCardNum.focus();
      submitOK = "False";
    }
    
  if (submitOK == "False")
    {
      return false
    }
}

function passReset()
{
  form = document.register;
  form.password1.value = "";
  form.password2.value = "";
}
